nakagin(6)

NAME
nakagin - Nakagin Capsule Tower screen saver.

SYNOPSIS
nakagin [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--speed number] [--no-spin] [--wander] [--no-tilt] [--wireframe] [--fps]

DESCRIPTION
The Nakagin Capsule Tower was demolished in 2022, but this version will continue to grow forever. Constructed in 1972, the building was composed of small prefabricated rooms attached to the two central towers. The capsules were intended to be mass produced and replaceable. Utilities and fittings were installed before the capsules were shipped to the site.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds).

--speed number
    Animation speed. 2.0 means twice as fast, 0.5 means half as fast.

--spin | --no-spin
    Whether the building should slowly rotate.

--wander | --no-wander
    Whether the building should wander around the screen.

--tilt | --no-tilt
    Whether the observer should look up and down.

--wireframe | --no-wireframe
    Render in wireframe instead of solid.

--fps | --no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
https://en.wikipedia.org/wiki/Nakagin_Capsule_Tower,
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2022 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.